package com.ruoyi.zhushi.service;

import com.ruoyi.zhushi.entity.Inventory;

import java.util.List;

public interface InventoryService {
    boolean saveInventory(List<Inventory> inventorys);
    boolean deleteInventoryById(String id);
    boolean updateInventory(Inventory inventory);
    Inventory getInventoryById(String id);
    List<Inventory> getAllInventories();

    boolean updateInventoryByUrl(List<Inventory> inventorys);
    List<Inventory> getInventoriesByParam(String queryWord,
                                          String queryDate,
                                          String type);

}
